﻿
using System;
using Wisej.Web;

namespace GoogleMapsPolygonSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void googleMap1_Appear(object sender, EventArgs e)
		{
			// Modeled from: https://developers.google.com/maps/documentation/javascript/examples/polygon-simple

			// The coordinates of the polygon edges
			var triangleCoords = new object[]
			{
				new { lat = 25.744, lng = -80.190 },
				new { lat = 18.466, lng = -66.118 },
				new { lat = 32.321, lng = -64.757 },
				new { lat = 25.774, lng = -80.190 }
			};

			// The JSON configuration of the polygon
			var bermudaTriangleConfig = new
			{
				paths = triangleCoords,
				strokeColor = "#FF0000",
				strokeOpacity = 0.8,
				strokeWeight = 2,
				fillColor = "#FF0000",
				fillOpacity = 0.35
			};

			// Inserts the new Polygon into the map
			// Note: this.map represents the google.maps.Map object.
			this.googleMap1.Eval($"new google.maps.Polygon({bermudaTriangleConfig.ToJSON()}).setMap(this.map);");
		}
	}
}
